summaryrefslogtreecommitdiffstats
path: root/legacy
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2012-01-06 12:06:08 +0530
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2012-01-06 12:08:00 +0530
commitfcddfe73952211d9dab696fd48372f3a91638783 (patch)
tree42fca6b206e822895b7f0ba0870aa4df56aabdc5 /legacy
parent311a9e1775df3288f66201734236e549b2ea565d (diff)
2042: move the testcase to the legacy directory
gluster volume log-filename is no longer there in the master branch of glusterfs. Thus moving the testcase which uses the log-filename command to the legacy directory. Change-Id: I46a34f963c48e2840b1bbc692dde18cd89f7e5c1 BUG: 2042 Signed-off-by: Raghavendra Bhat <raghavendrabhat@gluster.com>
Diffstat (limited to 'legacy')
-rwxr-xr-xlegacy/2042/testcase37
1 files changed, 37 insertions, 0 deletions
diff --git a/legacy/2042/testcase b/legacy/2042/testcase
new file mode 100755
index 0000000..8f08c78
--- /dev/null
+++ b/legacy/2042/testcase
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+function _init ()
+{
+ source $cwd/regression_helpers;
+}
+
+function add_and_log ()
+{
+ mkdir /tmp/logs_path;
+
+ $GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export 2>/dev/null 1>/dev/null;
+
+ #set the log file path for the volume
+ $GLUSTERFSDIR/gluster volume log filename $global_bug_id /tmp/logs_path 2>/dev/null 1>/dev/null;
+ $GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
+ $GLUSTERFSDIR/gluster volume add-brick $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export2 2>/dev/null 1>/dev/null;
+
+ #set the log file path for the newly added brick
+ $GLUSTERFSDIR/gluster volume log filename $global_bug_id $(hostname):$EXPOR_DIR/$global_bug_id/export2 /tmp/logs_path 2>/dev/null 1>/dev/null;
+
+ ls /tmp/logs_path | grep "export2" 2>/dev/null 1>/dev/null;
+ ret=$?;
+
+ rm -rf /tmp/logs_path 2>/dev/null 1>/dev/null;
+ return $ret;
+}
+
+function main ()
+{
+ add_and_log;
+
+ op_ret=$?;
+ exit $op_ret;
+}
+
+_init && main "$@"